// import { useState } from "react";
// import { PageType, IPageTypeManager } from "../../types/pageType";
import './Menubar.css'
import { useNavigate } from '@/router';

const MenuBar: React.FC = () => {
    const navigate = useNavigate();

    const handleLogout = (event: React.MouseEvent<HTMLButtonElement>) => {
        event.preventDefault();
        navigate('/')
    }
    return (
        <>
        <div className="container__menubar">
            <div className="container__menuitems--left">
                <button>"AVATAR"</button><button>Notification</button>
            </div>
            
            <div className="container__menuitems--middle">
                <button>LOGO</button>
                <button onClick={() => navigate('/boards/userboards')}>Your Discussion Boardss</button>
                <button >Explore</button>
            </div>

            <div className="container__menuitems--right">
                <button onClick={handleLogout}>Logout</button>
            </div>
        </div>

        </>
    )
}

export default MenuBar;