export enum ManagerPageType {
    None,
    MangeChannels,
    ManageMembers
}

export interface IBoardSideBarProp {
    managerPageType: ManagerPageType,
    setManagerPageType: React.Dispatch<React.SetStateAction<ManagerPageType>>,
    boardMetaInfo: IBoardMetaInfo
}

export interface IBoardChatBoxProp {
    messages: IChatMessageInfo[]
}

export interface IBoardMetaInfo {
    boardName: string,
    channels: string[],
    members: string[],
    userIsAdmin?: boolean
}

export interface IChatMessageInfo {
    writer: string,
    message: string
};

export interface IBoardManagerPopupProp {
    managerPageType: ManagerPageType,
    setManagerPageType: React.Dispatch<React.SetStateAction<ManagerPageType>>,
    // boardMetaInfo: IBoardMetaInfo,
    // onHandleAddMember
    // onHandleRemoveMember
    // onHandleCreateChannel
    // onHandleDeleteChannel

}