import { IBoardSideBarProp, ManagerPageType } from "@/interfaces";

const BoardSideBar: React.FC<IBoardSideBarProp> = (sidebarProp: IBoardSideBarProp) => {


    return (
        <>
        <div className="container__boardsidebar">
            <div className="container__boardname">
                <h4>{sidebarProp.boardMetaInfo.boardName}</h4>
                <button>Refresh Sidebar</button>    
                <button>Refresh Chat</button>      
            </div>

            <div>
                <button onClick={() => sidebarProp.setManagerPageType(ManagerPageType.MangeChannels)}>Channels</button>
                <button onClick={() => sidebarProp.setManagerPageType(ManagerPageType.ManageMembers)}>Members</button>
            </div>
                
            

        </div>
        </>
    );
};

export default BoardSideBar;