// the mini component for displaying each of the individual messages. Basically it's trying to combine treating sender's
// name, message itself and potentially user avatar as a single unit.

import { IChatMessageInfo } from "@/interfaces";

const ChatMessage: React.FC<IChatMessageInfo> = (messageInfo: IChatMessageInfo) => {

    return (
        <>
        <div>
            <p>{messageInfo.writer}</p>
            <p>{messageInfo.message}</p>
        </div>
        
        </>


    );
};

export default ChatMessage;