import Board from "@/models/board/board";
import { IRequest } from "@/types/requests/session";
import express, { Request, Response, NextFunction } from "express";
import addMemberBoard from "./add";
import refreshMembersBoard from "./refresh";
import removeMemberBoard from "./remove";

const router = express.Router();
/*
router.use(async (req: Request, res: Response, next: NextFunction) => {
    try {
        const ireq = req as IRequest;
        const userData = ireq.session.user;
        const board = await Board.findById(req.params.boardId);
        if (board === null)
        {
            res.status(400).json({ message: "Board does not exist" });
            return;
        }
        if (!userData._id.equals(board.admin))
        {
            res.status(401).json({ message: "Permission denied" });
            return;
        }
    } catch (error: any) {
        next(error);
    }
});
*/
router.route('/board-select/board/:boardId/manage-members/member').get(refreshMembersBoard).put(addMemberBoard);
router.route('/board-select/board/:boardId/manage-members/member/:userId').delete(removeMemberBoard);

export default router;