import { Types } from "mongoose";

export enum Role {
    STUDENT = "STUDENT",
    TA = "TA",
    PROFESSOR = "PROFESSOR",
    ADMIN = "ADMIN",
}

export interface IPublicUser {
    _id: Types.ObjectId;
    email: string;
    username: string;
    createdAt: Date;
    avatar?: string;
    roles?: Role[];
}

export interface IUser extends IPublicUser {
    password: string;
}
